﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace csdbtest24
{
  public partial class Form1 : Form
  {
    List<Int32> idlist = new List<Int32>();

    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      this.Text = "LINQで接続";
      update_listBox1();
      if (idlist.Count > 0)
      {
        listBox1.SelectedIndex = 0;
        listBox1_SelectedIndexChanged(sender, e);
      }
    }

    private void update_listBox1()
    {
      listBox1.Items.Clear();
      idlist.Clear();

      DataClasses1DataContext conn = new DataClasses1DataContext();
      var query = from elt in conn.TableAddress
        where elt.FName.StartsWith("鈴木十")
        select elt;
      foreach (var row in query)
      {
        listBox1.Items.Add(row.FName);
        idlist.Add(row.ID);
      }
    }

    private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
    {
      textBox1.Text = "";
      if (idlist.Count() == 0) return;
      DataClasses1DataContext conn = new DataClasses1DataContext();
      var query = from elt in conn.TableAddress
        where elt.ID == idlist[listBox1.SelectedIndex]
        select elt;
      var row = query.First();
      textBox1.Text = row.FAddress;
    }
  }
}
